Skip to main content

Get Spa Versions

GET 

/v1/armada/simple_product_assignment/:spa_id/versions

Get versions for a simple product assignment

Request

Path Parameters

    spa_id uuidrequired

    The simple product assignment ID

Responses

Successful Response

Schema

    versions

    object[]

    required

  • Array [

  • name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name of the product that will be used directly by the deployment system. e.g., paladins, roco

    count Count (integer)required

    The number of instances of the product that will be used directly by the deployment system.

    host_id uuidrequired

    The ID of the host this assignment is associated with

    simple_product_assignment_id uuidrequired
  • ]

  • transactions

    object[]

    required

  • Array [

  • id Id (integer)required
    issued_at date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    meta

    object

    required

    property name* string
  • ]

Loading...